#include<stdio.h>
#include<stdlib.h> 

#define MAX 3


struct contacto {
		char nombre[60];
		char telefono[15];
		int edad;
};

int main (){
	
    // Defino variables
    int menu;
    int i;

	// tipo nombre [Tamaño]
	struct contacto agenda [MAX];

    //elabora un menú con estas opciones: 1. cargar 2. mostrar 0 . salir


    do{

        printf("\nMenú");
        printf("\n1 Cargar agenda");
        printf("\n2 Mostrar agenda");
        printf("\n0 Salir\n");

        printf("\nIntroduce una opción reseñada: ");
        fflush(stdin);
        scanf("%d", &menu);

        switch(menu){
            case 1:

            for(i=0; i<MAX; i++){
                printf("\nIntroduce el nombre del contacto %d",i);
                fflush(stdin);
                scanf("%s", agenda[i].nombre);

                printf("\nIntroduce teléfono del contacto %d",i);
                fflush(stdin);
                scanf("%s", agenda[i].telefono);
                
                printf("\nIntroduce la edad del contacto %d",i);
                fflush(stdin);
                scanf("%d", &agenda[i].edad);

            }

                break;
            case 2:

                for(i=0; i<MAX; i++){

                    printf("\nEl contacto %d se llama %s, su numero de teléfono es %s y tiene %d años", i, agenda[i].nombre,agenda[i].telefono, agenda[i].edad);



                }
                

                break;
            case 0:

                
                break;

            // ERROR EN EL MENÚ 
            default:
                printf("\nNo es un valor correcto para este menu.\nVuelva a intentarlo\n\n");
        }

    }while ( menu != 0 );

    return 0;



}